package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class TagB24ECreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public TagB24ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tagB24EValue = mt767Creator.getDeliveryOfAmendmentToUndertakingOfB();
        mt767Creator.set("24E", tagB24EValue);
    }
}
